<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/src/UIManager.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">UIManager.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &quot;<a class="el" href="_u_i_manager_8h_source.html">SampleApp/UIManager.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_dialog_u_x_state_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/DialogUXStateObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_d_k_version_8h_source.html">AVSCommon/Utils/SDKVersion.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_console_printer_8h_source.html">SampleApp/ConsolePrinter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_setting_string_conversion_8h_source.html">Settings/SettingStringConversion.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for UIManager.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_u_i_manager_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2src_2_u_i_manager_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2src_2_u_i_manager_8cpp" id="_2workplace_2avs-device-sdk_2_sample_app_2src_2_u_i_manager_8cpp">
<area shape="rect" id="node4" href="_u_i_manager_8h.html" title="SampleApp/UIManager.h" alt="" coords="1352,92,1522,117"/>
<area shape="rect" id="node8" href="_dialog_u_x_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DialogUXStateObserverInterface.h" alt="" coords="894,165,1124,204"/>
<area shape="rect" id="node40" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="3424,252,3600,291"/>
<area shape="rect" id="node46" href="_s_d_k_version_8h.html" title="AVSCommon/Utils/SDKVersion.h" alt="" coords="2510,92,2727,117"/>
<area shape="rect" id="node47" href="_console_printer_8h.html" title="SampleApp/ConsolePrinter.h" alt="" coords="3416,92,3608,117"/>
<area shape="rect" id="node50" href="_setting_string_conversion_8h.html" title="Settings/SettingStringConversion.h" alt="" coords="2541,345,2769,371"/>
<area shape="rect" id="node5" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="235,252,426,291"/>
<area shape="rect" id="node7" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="319,339,531,377"/>
<area shape="rect" id="node10" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="2579,252,2827,291"/>
<area shape="rect" id="node11" href="_notifications_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/NotificationsObserverInterface.h" alt="" coords="652,165,868,204"/>
<area shape="rect" id="node13" href="_single_setting_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SingleSettingObserverInterface.h" alt="" coords="1925,165,2147,204"/>
<area shape="rect" id="node14" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="21,252,211,291"/>
<area shape="rect" id="node15" href="_speaker_manager_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerManagerObserverInterface.h" alt="" coords="5,165,250,204"/>
<area shape="rect" id="node16" href="_bluetooth_device_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceObserver\lInterface.h" alt="" coords="1899,425,2136,477"/>
<area shape="rect" id="node18" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1064,339,1258,377"/>
<area shape="rect" id="node29" href="_c_b_l_auth_requester_interface_8h.html" title="CBLAuthDelegate/CBLAuthRequester\lInterface.h" alt="" coords="2202,165,2449,204"/>
<area shape="rect" id="node30" href="_device_settings_manager_8h.html" title="Settings/DeviceSettingsManager.h" alt="" coords="1887,259,2112,284"/>
<area shape="rect" id="node37" href="_setting_callbacks_8h.html" title="Settings/SettingCallbacks.h" alt="" coords="1455,172,1638,197"/>
<area shape="rect" id="node12" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html" title="AVSCommon/AVS/IndicatorState.h" alt="" coords="501,259,728,284"/>
<area shape="rect" id="node28" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1224,432,1418,471"/>
<area shape="rect" id="node31" href="_setting_interface_8h.html" title="Settings/SettingInterface.h" alt="" coords="1696,439,1874,464"/>
<area shape="rect" id="node33" href="_settings_manager_8h.html" title="Settings/SettingsManager.h" alt="" coords="2128,345,2312,371"/>
<area shape="rect" id="node32" href="_setting_observer_interface_8h.html" title="Settings/SettingObserver\lInterface.h" alt="" coords="1543,525,1713,564"/>
<area shape="rect" id="node35" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2640,432,2816,471"/>
<area shape="rect" id="node36" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2571,525,2747,564"/>
<area shape="rect" id="node39" href="_setting_callback_adapter_8h.html" title="SettingCallbackAdapter.h" alt="" coords="1400,259,1571,284"/>
<area shape="rect" id="node41" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="3477,339,3691,377"/>
<area shape="rect" id="node43" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="3227,432,3403,471"/>
<area shape="rect" id="node44" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="3205,339,3402,377"/>
<area shape="rect" id="node45" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="3917,339,4093,377"/>
<area shape="rect" id="node48" href="_log_string_formatter_8h.html" title="AVSCommon/Utils/Logger\l/LogStringFormatter.h" alt="" coords="3584,165,3760,204"/>
<area shape="rect" id="node49" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="4108,432,4282,471"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1sample_app"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">alexaClientSDK::sampleApp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_manager_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ada5473a95becdcf63a8f83e7f05fefe7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a> (&quot;UIManager&quot;)</td></tr>
<tr class="memdesc:ada5473a95becdcf63a8f83e7f05fefe7"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ada5473a95becdcf63a8f83e7f05fefe7">More...</a><br /></td></tr>
<tr class="separator:ada5473a95becdcf63a8f83e7f05fefe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a70af6ab04aa9fa93f34a7171386619a9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a70af6ab04aa9fa93f34a7171386619a9">alexaClientSDK::sampleApp::VERSION</a> = avsCommon::utils::sdkVersion::getCurrentVersion()</td></tr>
<tr class="separator:a70af6ab04aa9fa93f34a7171386619a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27ad3c4c70bb48497a924c7274a956d8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a27ad3c4c70bb48497a924c7274a956d8">alexaClientSDK::sampleApp::ALEXA_WELCOME_MESSAGE</a></td></tr>
<tr class="separator:a27ad3c4c70bb48497a924c7274a956d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e96b667dcbce6b0cc6f4d667630bd97"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a3e96b667dcbce6b0cc6f4d667630bd97">alexaClientSDK::sampleApp::HELP_MESSAGE</a></td></tr>
<tr class="separator:a3e96b667dcbce6b0cc6f4d667630bd97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2436f6d046397164dc8fa124ababcb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a6d2436f6d046397164dc8fa124ababcb">alexaClientSDK::sampleApp::LIMITED_HELP_HEADER</a></td></tr>
<tr class="separator:a6d2436f6d046397164dc8fa124ababcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44857eef9fbf2976a6eda05b13c6f4ca"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a44857eef9fbf2976a6eda05b13c6f4ca">alexaClientSDK::sampleApp::AUTH_FAILED_STR</a></td></tr>
<tr class="separator:a44857eef9fbf2976a6eda05b13c6f4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2163147ecce760075e77fc4a941df9ec"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a2163147ecce760075e77fc4a941df9ec">alexaClientSDK::sampleApp::REAUTH_REQUIRED_STR</a></td></tr>
<tr class="separator:a2163147ecce760075e77fc4a941df9ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf594ee67abe52cc2e4f74f9fd726a0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#afcf594ee67abe52cc2e4f74f9fd726a0">alexaClientSDK::sampleApp::CAPABILITIES_API_FAILED_STR</a></td></tr>
<tr class="separator:afcf594ee67abe52cc2e4f74f9fd726a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb5add6e41170026a0310d3da1e7e0e2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#adb5add6e41170026a0310d3da1e7e0e2">alexaClientSDK::sampleApp::LIMITED_HELP_MESSAGE</a></td></tr>
<tr class="separator:adb5add6e41170026a0310d3da1e7e0e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c997795106a5eaa91685e52fc86b4ed"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a7c997795106a5eaa91685e52fc86b4ed">alexaClientSDK::sampleApp::SETTINGS_MESSAGE</a></td></tr>
<tr class="separator:a7c997795106a5eaa91685e52fc86b4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a813826e4d8ab0b76184ffa92aec2f0c8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a813826e4d8ab0b76184ffa92aec2f0c8">alexaClientSDK::sampleApp::LOCALE_MESSAGE</a></td></tr>
<tr class="separator:a813826e4d8ab0b76184ffa92aec2f0c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a702df41771274560cb477b8d3627f6f8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a702df41771274560cb477b8d3627f6f8">alexaClientSDK::sampleApp::SPEAKER_CONTROL_MESSAGE</a></td></tr>
<tr class="separator:a702df41771274560cb477b8d3627f6f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d9365e7e4dad59d69cec8ac6ffe392e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a5d9365e7e4dad59d69cec8ac6ffe392e">alexaClientSDK::sampleApp::FIRMWARE_CONTROL_MESSAGE</a></td></tr>
<tr class="separator:a5d9365e7e4dad59d69cec8ac6ffe392e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdac935ffd56fb3e35539a6238183d40"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#afdac935ffd56fb3e35539a6238183d40">alexaClientSDK::sampleApp::VOLUME_CONTROL_MESSAGE</a></td></tr>
<tr class="separator:afdac935ffd56fb3e35539a6238183d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b220b5dc62300671b5a7e58661d8d9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#aa4b220b5dc62300671b5a7e58661d8d9">alexaClientSDK::sampleApp::ESP_CONTROL_MESSAGE</a></td></tr>
<tr class="separator:aa4b220b5dc62300671b5a7e58661d8d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ff5f266985d9fddaa171fd36dfe8dc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a82ff5f266985d9fddaa171fd36dfe8dc">alexaClientSDK::sampleApp::RESET_CONFIRMATION</a></td></tr>
<tr class="separator:a82ff5f266985d9fddaa171fd36dfe8dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3107ace072dcb5e76d7b4117b884b91"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#ad3107ace072dcb5e76d7b4117b884b91">alexaClientSDK::sampleApp::REAUTHORIZE_CONFIRMATION</a></td></tr>
<tr class="separator:ad3107ace072dcb5e76d7b4117b884b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a486d13f35222c1436a08e9ef8b152f2f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a486d13f35222c1436a08e9ef8b152f2f">alexaClientSDK::sampleApp::DONOTDISTURB_CONFIRMATION_HEADER</a></td></tr>
<tr class="separator:a486d13f35222c1436a08e9ef8b152f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c54791e474e5db1ca1620df8f7afb3c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a8c54791e474e5db1ca1620df8f7afb3c">alexaClientSDK::sampleApp::ENABLE_SETTING_MENU</a></td></tr>
<tr class="separator:a8c54791e474e5db1ca1620df8f7afb3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d945bb3d5340e857a6a1da9314958bd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a6d945bb3d5340e857a6a1da9314958bd">alexaClientSDK::sampleApp::RESET_WARNING</a></td></tr>
<tr class="separator:a6d945bb3d5340e857a6a1da9314958bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0cd0434c923487f201c31fa38d9a2ba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#ad0cd0434c923487f201c31fa38d9a2ba">alexaClientSDK::sampleApp::ENTER_LIMITED</a> = &quot;Entering limited interaction mode.&quot;</td></tr>
<tr class="separator:ad0cd0434c923487f201c31fa38d9a2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d264334cdba29388e9f005cad737b5e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a1d264334cdba29388e9f005cad737b5e">alexaClientSDK::sampleApp::DO_NOT_DISTURB_NAME</a> = &quot;DoNotDisturb&quot;</td></tr>
<tr class="memdesc:a1d264334cdba29388e9f005cad737b5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the do not disturb confirmation setting.  <a href="namespacealexa_client_s_d_k_1_1sample_app.html#a1d264334cdba29388e9f005cad737b5e">More...</a><br /></td></tr>
<tr class="separator:a1d264334cdba29388e9f005cad737b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dcb14b2d9ed12211613c1d8456c62e2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#a5dcb14b2d9ed12211613c1d8456c62e2">alexaClientSDK::sampleApp::COMMS_MESSAGE</a></td></tr>
<tr class="separator:a5dcb14b2d9ed12211613c1d8456c62e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ada5473a95becdcf63a8f83e7f05fefe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada5473a95becdcf63a8f83e7f05fefe7">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;UIManager&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
